## Retrieve Aggregation

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/aggregations/{id} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/aggregations/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/aggregations/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes
- **200** - Successful retrieval
- **4XX** - Client error
- **5XX** - Server error

### Response Example
```json
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "name": "<string>",
  "quantityPerUnit": 123,
  "unit": "<string>",
  "code": "<string>",
  "segments": [
    {}
  ],
  "accountingProductId": "<string>",
  "meterId": "<string>",
  "targetField": "<string>",
  "segmentedFields": [
    "<string>"
  ],
  "defaultValue": 123,
  "customSql": "<string>",
  "productId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```
```json
{
  "message": "<string>"
}
```

---
### Authorizations

**Authorization**

- Type: `string`
- Location: `header`
- Required: Yes

Supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters
- **orgId**
    - Type: `string`
    - Required: Yes, UUID of the Organization.
- **id**
    - Type: `string`
    - Required: Yes, UUID of the Aggregation to retrieve.

### Response Fields
- **id**
    - Type: `string`
    - Required: Yes, UUID of the entity.
- **version**
    - Type: `integer<int64>`
    - Description: Version number.
    - - Create: Initial version 1, Update: Incremented by 1.
- **customFields**
    - Type: `object`
    - Description: User defined fields.
- **name**, **quantityPerUnit**, **unit**, **code**, **segments**, etc. - Various attributes about the Aggregation.

---
